> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /zachestnyibiznes/companies/search

> Search Russian companies and sole proprietors (FNS/EGRUL/EGRIP registry) by name, INN, OGRN, address or person, with filters by registration status, region, legal form (OKOPF), ownership form (OKFS), activity (OKVED), special tax regime, contacts, presence of branches/financials, and ranges on revenue, charter capital, headcount and registration date.

**Price:** 10 credits per 50 results



## OpenAPI

````yaml /openapi/company-registries.json post /api/zachestnyibiznes/companies/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/zachestnyibiznes/companies/search:
    post:
      tags:
        - /zachestnyibiznes
      summary: /zachestnyibiznes/companies/search
      description: >-
        Search Russian companies and sole proprietors (FNS/EGRUL/EGRIP registry)
        by name, INN, OGRN, address or person, with filters by registration
        status, region, legal form (OKOPF), ownership form (OKFS), activity
        (OKVED), special tax regime, contacts, presence of branches/financials,
        and ranges on revenue, charter capital, headcount and registration date.


        **Price:** 10 credits per 50 results
      operationId: __api_zachestnyibiznes_companies_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ZachestnyibiznesSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ZachestnyibiznesSearchResult'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ZachestnyibiznesSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        query:
          type: string
          minLength: 1
        count:
          type: integer
          minimum: 1
        entity_type:
          anyOf:
            - $ref: '#/components/schemas/ZachestnyibiznesEntityKind'
            - type: 'null'
        status:
          anyOf:
            - items:
                $ref: '#/components/schemas/ZachestnyibiznesStatus'
              type: array
            - type: 'null'
        region:
          anyOf:
            - $ref: '#/components/schemas/ZachestnyibiznesRegion'
            - type: 'null'
        legal_form:
          anyOf:
            - $ref: '#/components/schemas/ZachestnyibiznesLegalForm'
            - type: 'null'
        ownership_form:
          anyOf:
            - $ref: '#/components/schemas/ZachestnyibiznesOwnershipForm'
            - type: 'null'
        okved:
          anyOf:
            - type: string
            - type: 'null'
        additional_okved:
          anyOf:
            - type: string
            - type: 'null'
        licenses:
          anyOf:
            - items:
                $ref: '#/components/schemas/ZachestnyibiznesLicenseAuthority'
              type: array
            - type: 'null'
        tax_mode:
          anyOf:
            - items:
                $ref: '#/components/schemas/ZachestnyibiznesTaxMode'
              type: array
            - type: 'null'
        contacts:
          anyOf:
            - $ref: '#/components/schemas/ZachestnyibiznesContactsFilter'
            - type: 'null'
        has_subdivisions:
          anyOf:
            - type: boolean
            - type: 'null'
        has_financials:
          anyOf:
            - type: boolean
            - type: 'null'
        revenue_min:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        revenue_max:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        net_profit_min:
          anyOf:
            - type: integer
            - type: 'null'
        net_profit_max:
          anyOf:
            - type: integer
            - type: 'null'
        profit_before_tax_min:
          anyOf:
            - type: integer
            - type: 'null'
        profit_before_tax_max:
          anyOf:
            - type: integer
            - type: 'null'
        balance_min:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        balance_max:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        receivables_min:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        receivables_max:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        payables_min:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        payables_max:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        fixed_assets_min:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        fixed_assets_max:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        inventory_min:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        inventory_max:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        charter_capital_min:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        charter_capital_max:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        employees_min:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        employees_max:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        arbitration_as_defendant_amount_min:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        arbitration_as_defendant_amount_max:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        arbitration_as_defendant_count_min:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        arbitration_as_defendant_count_max:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        arbitration_as_plaintiff_amount_min:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        arbitration_as_plaintiff_amount_max:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        arbitration_as_plaintiff_count_min:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        arbitration_as_plaintiff_count_max:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        registered_after:
          anyOf:
            - type: string
            - type: 'null'
        registered_before:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - query
        - count
    ZachestnyibiznesSearchResult:
      properties:
        '@type':
          type: string
          default: ZachestnyibiznesSearchResult
        id:
          type: string
        url:
          type: string
        company_type:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        status:
          anyOf:
            - type: string
            - type: 'null'
        inn:
          anyOf:
            - type: string
            - type: 'null'
        ogrn:
          anyOf:
            - type: string
            - type: 'null'
        director:
          anyOf:
            - type: string
            - type: 'null'
        director_url:
          anyOf:
            - type: string
            - type: 'null'
        address:
          anyOf:
            - type: string
            - type: 'null'
        charter_capital:
          anyOf:
            - type: integer
            - type: 'null'
        registered_at:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
        - url
        - company_type
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    ZachestnyibiznesEntityKind:
      type: string
      enum:
        - ul
        - ip
    ZachestnyibiznesStatus:
      type: string
      enum:
        - active
        - liquidating
        - reorganizing
        - liquidated
        - bankrupting
        - registration_erroneous
        - registration_invalid
        - bankruptcy_case_opened
    ZachestnyibiznesRegion:
      type: string
      enum:
        - respublika_adygeya
        - respublika_bashkortostan
        - respublika_buryatiya
        - respublika_altay
        - respublika_dagestan
        - respublika_ingushetiya
        - kabardino_balkarskaya_respublika
        - respublika_kalmykiya
        - karachaevo_cherkesskaya_respublika
        - respublika_kareliya
        - respublika_komi
        - respublika_mariy_el
        - respublika_mordoviya
        - respublika_saha_yakutiya
        - respublika_severnaya_osetiya_alaniya
        - respublika_tatarstan_tatarstan
        - respublika_tyva
        - udmurtskaya_respublika
        - respublika_hakasiya
        - chechenskaya_respublika
        - chuvashskaya_respublika_chuvashiya
        - altayskiy_kray
        - krasnodarskiy_kray
        - krasnoyarskiy_kray
        - primorskiy_kray
        - stavropolskiy_kray
        - habarovskiy_kray
        - amurskaya_oblast
        - arhangelskaya_oblast
        - astrahanskaya_oblast
        - belgorodskaya_oblast
        - bryanskaya_oblast
        - vladimirskaya_oblast
        - volgogradskaya_oblast
        - vologodskaya_oblast
        - voronezhskaya_oblast
        - ivanovskaya_oblast
        - irkutskaya_oblast
        - kaliningradskaya_oblast
        - kaluzhskaya_oblast
        - kamchatskiy_kray
        - kemerovskaya_oblast
        - kirovskaya_oblast
        - kostromskaya_oblast
        - kurganskaya_oblast
        - kurskaya_oblast
        - leningradskaya_oblast
        - lipetskaya_oblast
        - magadanskaya_oblast
        - moskovskaya_oblast
        - murmanskaya_oblast
        - nizhegorodskaya_oblast
        - novgorodskaya_oblast
        - novosibirskaya_oblast
        - omskaya_oblast
        - orenburgskaya_oblast
        - orlovskaya_oblast
        - penzenskaya_oblast
        - permskiy_kray
        - pskovskaya_oblast
        - rostovskaya_oblast
        - ryazanskaya_oblast
        - samarskaya_oblast
        - saratovskaya_oblast
        - sahalinskaya_oblast
        - sverdlovskaya_oblast
        - smolenskaya_oblast
        - tambovskaya_oblast
        - tverskaya_oblast
        - tomskaya_oblast
        - tulskaya_oblast
        - tyumenskaya_oblast
        - ulyanovskaya_oblast
        - chelyabinskaya_oblast
        - zabaykalskiy_kray
        - yaroslavskaya_oblast
        - moskva
        - sankt_peterburg
        - evreyskaya_avtonomnaya_oblast
        - nenetskiy_avtonomnyy_okrug
        - hanty_mansiyskiy_avtonomnyy_okrug_yugra
        - chukotskiy_avtonomnyy_okrug
        - yamalo_nenetskiy_avtonomnyy_okrug
        - zaporozhskaya_oblast
        - respublika_krym
        - sevastopol
        - donetskaya_narodnaya_respublika
        - luganskaya_narodnaya_respublika
        - hersonskaya_oblast
        - inye_territorii_vklyuchaya_gorod_i_kosmodrom_bay
    ZachestnyibiznesLegalForm:
      type: string
      enum:
        - hozyaystvennye_tovarischestva
        - polnye_tovarischestva
        - tovarischestva_na_vere_kommanditnye_tovarischest
        - hozyaystvennye_obschestva
        - aktsionernye_obschestva
        - publichnye_aktsionernye_obschestva
        - nepublichnye_aktsionernye_obschestva
        - obschestva_s_ogranichennoy_otvetstvennostyu
        - hozyaystvennye_partnerstva
        - proizvodstvennye_kooperativy_arteli
        - selskohozyaystvennye_proizvodstvennye_kooperativ
        - selskohozyaystvennye_arteli_kolhozy
        - rybolovetskie_arteli_kolhozy
        - kooperativnye_hozyaystva_koophozy
        - proizvodstvennye_kooperativy_krome_selskohozyays
        - krestyanskie_fermerskie_hozyaystva
        - prochie_yuridicheskie_litsa_yavlyayuschiesya_kom
        - potrebitelskie_kooperativy
        - garazhnye_i_garazhno_stroitelnye_kooperativy
        - zhilischnye_ili_zhilischno_stroitelnye_kooperati
        - zhilischnye_nakopitelnye_kooperativy
        - kreditnye_potrebitelskie_kooperativy
        - kreditnye_potrebitelskie_kooperativy_grazhdan
        - kreditnye_kooperativy_vtorogo_urovnya
        - potrebitelskie_obschestva
        - obschestva_vzaimnogo_strahovaniya
        - selskohozyaystvennye_potrebitelskie_pererabatyva
        - selskohozyaystvennye_potrebitelskie_sbytovye_tor
        - selskohozyaystvennye_potrebitelskie_obsluzhivayu
        - selskohozyaystvennye_potrebitelskie_snabzhenches
        - selskohozyaystvennye_potrebitelskie_zhivotnovodc
        - selskohozyaystvennye_potrebitelskie_rastenievodc
        - fondy_prokata
        - obschestvennye_organizatsii
        - politicheskie_partii
        - profsoyuznye_organizatsii
        - obschestvennye_dvizheniya
        - organy_obschestvennoy_samodeyatelnosti
        - territorialnye_obschestvennye_samoupravleniya
        - assotsiatsii_soyuzy
        - assotsiatsii_soyuzy_ekonomicheskogo_vzaimodeystv
        - sovety_munitsipalnyh_obrazovaniy_subektov_rossiy
        - soyuzy_assotsiatsii_kreditnyh_kooperativov
        - soyuzy_assotsiatsii_kooperativov
        - soyuzy_assotsiatsii_obschestvennyh_obedineniy
        - soyuzy_assotsiatsii_obschin_malochislennyh_narod
        - soyuzy_potrebitelskih_obschestv
        - advokatskie_palaty
        - notarialnye_palaty
        - torgovo_promyshlennye_palaty
        - obedineniya_rabotodateley
        - obedineniya_fermerskih_hozyaystv
        - nekommercheskie_partnerstva
        - advokatskie_byuro
        - kollegii_advokatov
        - samoreguliruemye_organizatsii
        - obedineniya_assotsiatsii_i_soyuzy_blagotvoriteln
        - tovarischestva_sobstvennikov_nedvizhimosti
        - sadovodcheskie_ili_ogorodnicheskie_nekommerchesk
        - tovarischestva_sobstvennikov_zhilya
        - kazachi_obschestva_vnesennye_v_gosudarstvennyy_r
        - obschiny_korennyh_malochislennyh_narodov_rossiys
        - predstavitelstva_yuridicheskih_lits
        - filialy_yuridicheskih_lits
        - obosoblennye_podrazdeleniya_yuridicheskih_lits
        - strukturnye_podrazdeleniya_obosoblennyh_podrazde
        - paevye_investitsionnye_fondy
        - prostye_tovarischestva
        - rayonnye_sudy_gorodskie_sudy_mezhrayonnye_sudy_r
        - mezhpravitelstvennye_mezhdunarodnye_organizatsii
        - nepravitelstvennye_mezhdunarodnye_organizatsii
        - organizatsionno_pravovye_formy_dlya_kommerchesko
        - glavy_krestyanskih_fermerskih_hozyaystv
        - individualnye_predprinimateli
        - organizatsionno_pravovye_formy_dlya_deyatelnosti
        - advokaty_uchredivshie_advokatskiy_kabinet
        - notariusy_zanimayuschiesya_chastnoy_praktikoy
        - unitarnye_predpriyatiya
        - unitarnye_predpriyatiya_osnovannye_na_prave_oper
        - federalnye_kazennye_predpriyatiya
        - kazennye_predpriyatiya_subektov_rossiyskoy_feder
        - munitsipalnye_kazennye_predpriyatiya
        - unitarnye_predpriyatiya_osnovannye_na_prave_hozy
        - federalnye_gosudarstvennye_unitarnye_predpriyati
        - gosudarstvennye_unitarnye_predpriyatiya_subektov
        - munitsipalnye_unitarnye_predpriyatiya
        - fondy
        - blagotvoritelnye_fondy
        - negosudarstvennye_pensionnye_fondy
        - obschestvennye_fondy
        - ekologicheskie_fondy
        - avtonomnye_nekommercheskie_organizatsii
        - religioznye_organizatsii
        - publichno_pravovye_kompanii
        - gosudarstvennye_korporatsii
        - gosudarstvennye_kompanii
        - otdeleniya_inostrannyh_nekommercheskih_nepravite
        - uchrezhdeniya
        - uchrezhdeniya_sozdannye_rossiyskoy_federatsiey
        - federalnye_gosudarstvennye_avtonomnye_uchrezhden
        - federalnye_gosudarstvennye_byudzhetnye_uchrezhde
        - federalnye_gosudarstvennye_kazennye_uchrezhdeniy
        - uchrezhdeniya_sozdannye_subektom_rossiyskoy_fede
        - gosudarstvennye_avtonomnye_uchrezhdeniya_subekto
        - gosudarstvennye_byudzhetnye_uchrezhdeniya_subekt
        - gosudarstvennye_kazennye_uchrezhdeniya_subektov
        - gosudarstvennye_akademii_nauk
        - uchrezhdeniya_sozdannye_munitsipalnym_obrazovani
        - munitsipalnye_avtonomnye_uchrezhdeniya
        - munitsipalnye_byudzhetnye_uchrezhdeniya
        - munitsipalnye_kazennye_uchrezhdeniya
        - chastnye_uchrezhdeniya
        - blagotvoritelnye_uchrezhdeniya
        - obschestvennye_uchrezhdeniya
    ZachestnyibiznesOwnershipForm:
      type: string
      enum:
        - rossiyskaya_sobstvennost
        - gosudarstvennaya_sobstvennost
        - federalnaya_sobstvennost
        - sobstvennost_subektov_rossiyskoy_federatsii
        - munitsipalnaya_sobstvennost
        - chastnaya_sobstvennost
        - sobstvennost_rossiyskih_grazhdan_postoyanno_proz
        - sobstvennost_potrebitelskoy_kooperatsii
        - sobstvennost_obschestvennyh_i_religioznyh_organi
        - sobstvennost_blagotvoritelnyh_organizatsiy
        - sobstvennost_politicheskih_obschestvennyh_obedin
        - sobstvennost_professionalnyh_soyuzov
        - sobstvennost_obschestvennyh_obedineniy
        - sobstvennost_religioznyh_obedineniy
        - smeshannaya_rossiyskaya_sobstvennost
        - smeshannaya_rossiyskaya_sobstvennost_s_doley_gos
        - smeshannaya_rossiyskaya_sobstvennost_s_doley_fed
        - smeshannaya_rossiyskaya_sobstvennost_s_doley_sob
        - smeshannaya_rossiyskaya_sobstvennost_s_dolyami_f
        - inaya_smeshannaya_rossiyskaya_sobstvennost
        - sobstvennost_gosudarstvennyh_korporatsiy
        - inostrannaya_sobstvennost
        - sobstvennost_mezhdunarodnyh_organizatsiy
        - sobstvennost_inostrannyh_gosudarstv
        - sobstvennost_inostrannyh_yuridicheskih_lits
        - sobstvennost_inostrannyh_grazhdan_i_lits_bez_gra
        - smeshannaya_inostrannaya_sobstvennost
        - sovmestnaya_rossiyskaya_i_inostrannaya_sobstvenn
        - sovmestnaya_federalnaya_i_inostrannaya_sobstvenn
        - sovmestnaya_sobstvennost_subektov_rossiyskoy_fed
        - sovmestnaya_munitsipalnaya_i_inostrannaya_sobstv
        - sovmestnaya_chastnaya_i_inostrannaya_sobstvennos
        - sovmestnaya_sobstvennost_obschestvennyh_i_religi
    ZachestnyibiznesLicenseAuthority:
      type: string
      enum:
        - alcohol
        - rospotrebnadzor
        - roszdravnadzor
        - rostehnadzor
        - minkultury
        - minpromtorg_avia
        - minpromtorg_med
        - minpromtorg_weapon
        - fns
        - obrnadzor
    ZachestnyibiznesTaxMode:
      type: string
      enum:
        - eshn
        - usn
        - envd
        - srp
        - ausn
        - none
    ZachestnyibiznesContactsFilter:
      type: string
      enum:
        - with_contacts
        - without_contacts
        - all
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````